/* BlinkPot3  Turns on an LED on for time set by (maxTime-pot1), then off for time set by the rest of maxTime, repeatedly.
*/

#define Pot1     A0    //analog input from pot
#define maxTime  1023  //period time

// the setup function runs once when you press reset or power the board
void setup() {
  // initialize digital pin LED_BUILTIN as an output.
  pinMode(LED_BUILTIN, OUTPUT);
}

// the loop function runs over and over again forever
void loop() {
  int x = (maxTime-analogRead(Pot1));
  digitalWrite(LED_BUILTIN, HIGH);  // turn the LED on (HIGH is the voltage level)
  delay(x);             // wait for a time
  digitalWrite(LED_BUILTIN, LOW);   // turn the LED off by making the voltage LOW
  delay(maxTime-x);                 // wait for a time
}
