/* PWMPot  PWMs an LED set by Pot. repeatedly.
*/

#define Pot1     A0    //analog input from pot
#define LED       9   // put an LED with 1K series R from pin 9 to 0V
// the setup function runs once when you press reset or power the board
void setup() {
  // initialize digital pin LED_BUILTIN as an output.
  pinMode(LED, OUTPUT); // actually, not needed for analogWrite function
}

// the loop function runs over and over again forever
void loop() {
  int x = analogRead(Pot1); // returns a value from 0 to 1023
  x = map(x, 0, 1023, 0, 255);  // make the pot fit the PWM range
  analogWrite(LED,x);       // set the LED brightness
  delay(100);               // just wait a bit.
}
