/* BlinkPot1  Turns on an LED on for time set by pot, then off for time set by pot, repeatedly.
*/

#define Pot A0  //analog input from pot

// the setup function runs once when you press reset or power the board
void setup() {
  // initialize digital pin LED_BUILTIN as an output.
  pinMode(LED_BUILTIN, OUTPUT);
}

// the loop function runs over and over again forever
void loop() {
  int x = analogRead(Pot);
  digitalWrite(LED_BUILTIN, HIGH);   // turn the LED on (HIGH is the voltage level)
  delay(x+25);                       // wait for a time, 25ms min
  digitalWrite(LED_BUILTIN, LOW);    // turn the LED off by making the voltage LOW
  delay(x+25);                       // wait for a time, 25ms min
}
